OperationType (Gradle API 4.7)
Date: 2018-04-18

org.gradle.tooling.events

## Enum OperationType

- java.lang.Object
- - java.lang.Enum<OperationType>
  - - org.gradle.tooling.events.OperationType

- All Implemented Interfaces:
    Serializable, Comparable<OperationType>

      @Incubating
      public enum OperationType
      extends Enum<OperationType>

  Enumerates the different types of operations for which progress events can be received.
  See Also:
    `LongRunningOperation.addProgressListener(ProgressListener, java.util.Set)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GENERIC` Flag for operations with no specific type.
    `TASK` Flag for task operation progress events.
    `TEST` Flag for test operation progress events.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OperationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OperationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEST

          public static final OperationType TEST

      Flag for test operation progress events.

    - #### TASK

          public static final OperationType TASK

      Flag for task operation progress events.

    - #### GENERIC

          public static final OperationType GENERIC

      Flag for operations with no specific type.

  - ### Method Detail

    - #### values

          public static OperationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OperationType c : OperationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OperationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null